<?php

namespace Litecms\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeeTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Employee\Models\Employee $employee)
    {
        return [
            'id'                => $employee->getRouteKey(),
            'key'               => [
                'public'    => $employee->getPublicKey(),
                'route'     => $employee->getRouteKey(),
            ], 
            'name'              => $employee->name,
            'url'               => [
                'public'    => trans_url('employee/'.$employee->getPublicKey()),
                'user'      => guard_url('employee/employee/'.$employee->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employee->status),
            'created_at'        => format_date($employee->created_at),
            'updated_at'        => format_date($employee->updated_at),
        ];
    }
}